import request from '@/utils/request'

// 获取设备列表
export function getCylinder(parameter) {
  return request({
    url: '/api/device',
    method: 'get',
    params: parameter
  })
}

// 添加设备
export function addCylinder(parameter) {
  return request({
    url: '/api/device',
    method: 'post',
    data: parameter
  })
}

// 编辑设备
export function putCylinder(parameter) {
  return request({
    url: '/api/device',
    method: 'put',
    data: parameter
  })
}

// 删除设备
export function delCylinder(parameter) {
  return request({
    url: '/api/device',
    method: 'delete',
    data: parameter
  })
}
